#include "testlib.h"
#include <iostream>
#include <vector>
#include <set>
 
using namespace std;
 
constexpr int max_n = 2e5;
 
int main(int argc, char *argv[])
{
    registerValidation(argc, argv);
 
    const auto t = inf.readInt(0, max_n, "t~");
    inf.readEoln();
    const auto n = inf.readInt(!t, max_n - !!t, "n");
    inf.readEoln();
 
    inf.ensuref(t <= n + 1, "t is bounded by n");
 
    inf.readInts(n, 1, n + !!t, "cards");
    inf.readEoln();
 
    inf.readEof();
}
